Retrieve list of folder contents

Retrieve list of folder contents#

Description#

Returns a paged list of all children whose parent ID matches the provided folder ID. If the folder ID in the path is the literal ‘null’ value, returns a list of all entities with no parent.

GET /api/v1/folder/{folderId}/children

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

folderId

path

string

true

The unique identifier of the folder

cursor

query

string

false

A paging cursor; if included, limit is ignored

limit

query

integer(int32)

false

The number of folders to return, from 1 to 1000; by default, 1000

offset

query

integer(int64)

false

The item to start with on the page, greater than or equal to 0; by default, 0

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/folder/{folderId}/children', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with body and cursor properties.

  • body contains an array of FolderableDto objects. If the request returns no results, body contains an empty array.

  • cursor contains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results, cursor is null.

Example Responses#

{
  "body": [
    {
      "created": "string",
      "description": "string",
      "id": "string",
      "metadata": {},
      "modified": "string",
      "modifiedBy": "string",
      "name": "string",
      "parentId": "string",
      "type": "integer",
      "updated": "string",
      "updatedBy": "string"
    }
  ],
  "code": "integer",
  "cursor": "string"
}